Attribute VB_Name = "modINI"
Public TpPX As Integer         'Screen.TwipsPerPixelX
Public TpPY As Integer         'Screen.TwipsPerPixelY

Dim dateiname As String

Private Declare Function GetPrivateProfileString Lib "kernel32" _
   Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As _
   String, ByVal lpKeyName As Any, ByVal lpDefault As String, _
   ByVal lpReturnedString As String, ByVal nSize As Long, _
   ByVal lpFileName As String) As Long

Public Declare Function WritePrivateProfileString Lib "kernel32" _
   Alias "WritePrivateProfileStringA" (ByVal lpApplicationName _
   As String, ByVal lpKeyName As Any, ByVal lpString As Any, _
   ByVal lpFileName As String) As Long

Public Function WriteINI(dateiname As String, DieSektion As String, _
   DerEintrag As String, Wert As String) As Long
   WriteINI = WritePrivateProfileString(DieSektion, DerEintrag, _
   Wert, dateiname)
End Function

Public Function GetINIString(dateiname As String, _
   DieSektion As String, DerEintrag As String) As String
   temp$ = String(2550, 0)
   x = GetPrivateProfileString(DieSektion, DerEintrag, "", _
   temp$, 2550, dateiname)
   temp$ = Left$(temp$, x)
   GetINIString = temp$
End Function

'########################### Beispiele ##########################
'   Private Sub eintrag_schreiben_Click()
'      X = WriteINI(dateiname$, Text2.Text, Text3.Text, Text4.Text)
'   End Sub
'
'   Private Sub eintrag_lesen_Click()
'      s = GetINIString(dateiname$, Text2.Text, Text3.Text)
'      MsgBox s
'   End Sub
'
'   Private Sub Eintrag_lschen_Click()
'      X = WritePrivateProfileString(Text2.Text, Text3.Text, ByVal 0&, _
'      dateiname$)
'   End Sub
'################################################################



'Existiert eine Datei?
Function FileExists(ByVal FileName As String) As Boolean
    On Error Resume Next
    FileExists = Not CBool(GetAttr(FileName) And (vbDirectory Or vbVolume))
    On Error GoTo 0
End Function

'Existiert ein Verzeichnis?
Function FolderExists(ByVal DirectoryName As String) As Boolean
    On Error Resume Next
    FolderExists = CBool(GetAttr(DirectoryName) And vbDirectory)
    On Error GoTo 0
End Function





Public Function Collision(mode As Integer, tempImage As Object, ByVal posX As Single, ByVal posY As Single) As Boolean
    'Diese Function berprft (je nachdem welcher Modus (mode) ausgewhlt wurde,
    'ob sich die maus innerhalb eines gewissen bereichs (rund, abgerundet, eckig)
    'befindet und gibt True/False zurck
    
    Dim mitte(1) As Double
    
    mitte(0) = tempImage.Width / 2
    mitte(1) = tempImage.Height / 2
    
    Select Case mode
        Case 0 'eckig
            'posX = Abstand zur Mitte
            posX = posX - mitte(0)
            If posX < 0 Then posX = posX * -1
            
            'posY = Abstand zur mitte
            posY = posY - mitte(1)
            If posY < 0 Then posY = posY * -1
            
            'wenn 1 gesamtlnge > als die durchschnittsbreite/hhe
            If (posX + posY) - (posX + posY) / 4 > (mitte(0) + mitte(1)) Then
                Collision = True
            Else
                Collision = False
            End If
            Exit Function
            
        Case 1 ' kreis
            'posX = Abstand zur Mitte
            posX = posX - mitte(0)
            If posX < 0 Then posX = posX * -1
            
            'posY = Abstand zur mitte
            posY = posY - mitte(1)
            If posY < 0 Then posY = posY * -1
            
            'ellipsengleichung
            If posX ^ 2 / mitte(0) ^ 2 + posY ^ 2 / mitte(1) ^ 2 <= 1 Then
                Collision = False
            Else
                Collision = True
            End If
            Exit Function
            
        Case 2 'abgerundete ecken
            'posX = Abstand zur Mitte
            posX = posX - mitte(0)
            If posX < 0 Then posX = posX * -1
            
            'posY = Abstand zur mitte
            posY = posY - mitte(1)
            If posY < 0 Then posY = posY * -1
            
            'groer kreis
            Dim temp As Double
            temp = IIf(mitte(0) > mitte(1), mitte(0), mitte(1))
            If posX ^ 2 + posY ^ 2 <= temp ^ 2 Then
                Collision = False
            Else
                Collision = True
            End If
            Exit Function
            
    End Select
End Function
